### Virtual Method

# Gtk Buildableset_id

#### Declaration [src]

    void
    set_id (
      GtkBuildable* buildable,
      const char* id
    )

#### Description [src]

Stores the id attribute given in the `GtkBuilder` UI definition. `GtkWidget` stores the name as object data. Implement this method if your object has some notion of “ID” and it makes sense to map the XML id attribute to it.

#### Parameters

`id`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.